package com.gic.haoban.manage.service.entity.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanWxUserAddLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月04日 14:07:32
 * @Modify
 * @CopyRight 
 */
public class TabWxUserAddLog implements Serializable {

    private static final long serialVersionUID = 2226860974309400L;

    private Long logId;
    private String wxEnterpriseId;
    private String enterpriseId;
    /**外部联系人id*/
    private String externalUserid;
    /**成员信息*/
    private String staffId;
    private String staffName;
    /**1添加 2删除*/
    private Integer statusFlag;
    /**0其他场景1引流链接2活码*/
    private Integer addChannel;
    /**关联活码*/
    private Long hmId;
    private String hmName;
    /**引流链接*/
    private Long linkId;
    private String linkName;
    /**会员信息*/
    private String memberId;
    private String memberName;
    private String memberNick;
    private String memberImage;
    private String memberPhone;
    private String memberGradeId;
    private String memberGradeName;
    private String memberCardNo;
    /**导购信息*/
    private String clerkId;
    private String clerkCode;
    private String clerkName;
    /**门店信息*/
    private String storeId;
    private String storeName;
    private String storeCode;
    /**会员标签*/
    private String memberLabelId;
    /**会员标签名*/
    private String memberLabelName;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**是否所有好友删除 1是0否*/
    private Integer allDelFlag;
    private Date qwAddTime ;

    public Date getQwAddTime() {
        return qwAddTime;
    }

    public void setQwAddTime(Date qwAddTime) {
        this.qwAddTime = qwAddTime;
    }

    public void setLogId(Long logId) {
        this.logId = logId;
    }

    public Long getLogId() {
        return logId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setAddChannel(Integer addChannel) {
        this.addChannel = addChannel;
    }

    public Integer getAddChannel() {
        return addChannel;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public Long getHmId() {
        return hmId;
    }

    public void setHmName(String hmName) {
        this.hmName = hmName;
    }

    public String getHmName() {
        return hmName;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName;
    }

    public String getLinkName() {
        return linkName;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberGradeId(String memberGradeId) {
        this.memberGradeId = memberGradeId;
    }

    public String getMemberGradeId() {
        return memberGradeId;
    }

    public void setMemberGradeName(String memberGradeName) {
        this.memberGradeName = memberGradeName;
    }

    public String getMemberGradeName() {
        return memberGradeName;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setMemberLabelId(String memberLabelId) {
        this.memberLabelId = memberLabelId;
    }

    public String getMemberLabelId() {
        return memberLabelId;
    }

    public void setMemberLabelName(String memberLabelName) {
        this.memberLabelName = memberLabelName;
    }

    public String getMemberLabelName() {
        return memberLabelName;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setAllDelFlag(Integer allDelFlag) {
        this.allDelFlag = allDelFlag;
    }

    public Integer getAllDelFlag() {
        return allDelFlag;
    }
}